{ config, lib, ... }:
let
  capacity = 10;
in
{
  services.drone-exec-runner.nix01 = {
    enable = true;
    restartIfChanged = false; # Prevent from killing itself as it is a core machine.
    env = [
      "DRONE_RUNNER_CAPACITY=${toString capacity}"
      "CLIENT_DRONE_RPC_HOST=127.0.0.1:${toString config.services.drone-server.port}"
      "DRONE_RUNNER_LABELS=nix:true" # nix-ready machine.
    ];
    envFile = config.age.secrets.droneKeyFile.path;
  };
}
