{ pkgs, ... }:
{
  # Auto upgrades
  system.autoUpgrade = {
    enable = false; # TODO(Ryan): do not enable, it will break deployments.
    allowReboot = false;
  };

  # Auto GC and store optimizations
  nix = {
    trustedUsers = [ "root" "gab" ];
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 90d";
    };
    optimise.automatic = true;
    extraOptions = ''
      min-free = ${toString (100 * 1024 * 1024)}
      max-free = ${toString (1024 * 1024 * 1024)}
    '';
  };

  services.locate = {
    enable = true;
    interval = "04:05";
  };
}
