{ pkgs, ... }:
{
  # # Auto upgrades
  # system.autoUpgrade = {
  #   enable = false; # TODO(Ryan): do not enable, it will break deployments.
  #   allowReboot = false;
  # };

  # Auto GC and store optimizations
  nix = {
    trustedUsers = [ "root" ];
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 90d";
    };
    optimise.automatic = true;
    extraOptions = ''
      min-free = ${toString (100 * 1024 * 1024)}
      max-free = ${toString (1024 * 1024 * 1024)}
    '';
  };
}
